%define rel 1

Name:          lxqt-themes
Version: 2.0.0
Release:       %mkrel %rel
Summary:       Themes for the LXQt desktop
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/lxqt-themes/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildArch:     noarch
BuildRequires: cmake
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(lxqt2-build-tools)
BuildRequires: locales-en

%description
Themes for the LXQt desktop.

%files
%{_iconsdir}/hicolor/scalable/apps/lxqt.svg
%{_iconsdir}/hicolor/scalable/places/start-here-lxqt.svg
%{_datadir}/lxqt/themes/
%{_datadir}/lxqt/graphics/
%{_datadir}/lxqt/palettes/
%{_datadir}/lxqt/wallpapers/
#--------------------------------------------------------------------

%prep
%setup -q %{name}-%{version}

%build
%cmake_qt6
LC_ALL=UTF-8 \
%cmake_build

%install
%cmake_install



%changelog
* Thu Apr 18 2024 papoteur <papoteur> 2.0.0-1.mga10
+ Revision: 2058491
- switch to Qt6
- new version 2.0.0
- new version 1.4.0

* Sun Apr 16 2023 papoteur <papoteur> 1.3.0-1.mga9
+ Revision: 1953145
- new version 1.3.0

* Mon Feb 06 2023 papoteur <papoteur> 1.2.0-2.mga9
+ Revision: 1938790
- rebuild for compilation with C++17 standard

* Sun Nov 06 2022 papoteur <papoteur> 1.2.0-1.mga9
+ Revision: 1904143
- new version 1.2.0

* Mon Apr 25 2022 papoteur <papoteur> 1.1.0-1.mga9
+ Revision: 1853292
- Release 1.1.0

* Mon Apr 04 2022 umeabot <umeabot> 1.0.0-2.mga9
+ Revision: 1843945
- Mageia 9 Mass Rebuild

* Sun Dec 12 2021 neoclust <neoclust> 1.0.0-1.mga9
+ Revision: 1761587
- New version 1.0.0

* Fri Apr 16 2021 daviddavid <daviddavid> 0.17.0-1.mga9
+ Revision: 1716066
- New version 0.17.0

* Thu Dec 17 2020 umeabot <umeabot> 0.16.0-2.mga8
+ Revision: 1659048
- Rebuild for new Qt5

* Sat Nov 07 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1643188
- New version 0.16.0
- update Url

* Sat Apr 25 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1571825
- New version 0.15.0

* Sat Feb 15 2020 umeabot <umeabot> 0.14.0-3.mga8
+ Revision: 1524252
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Thu Mar 28 2019 daviddavid <daviddavid> 0.14.0-2.mga7
+ Revision: 1380850
- rebuild for new Qt5 5.12.2

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1361286
- New version 0.14.0

* Fri Dec 28 2018 daviddavid <daviddavid> 0.13.0-3.mga7
+ Revision: 1345485
- rebuild for new Qt5 5.12.0

* Thu Sep 20 2018 umeabot <umeabot> 0.13.0-2.mga7
+ Revision: 1279249
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 daviddavid <daviddavid> 0.13.0-1.mga7
+ Revision: 1235893
- New version: 0.13.0

* Thu May 03 2018 neoclust <neoclust> 0.12.0-2.mga7
+ Revision: 1225712
- Fix conflict against older lxqt-themes

* Tue Nov 07 2017 neoclust <neoclust> 0.12.0-1.mga7
+ Revision: 1176444
- imported package lxqt-themes

